// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: WMovementGesture.java,v 1.2 2003/03/06 00:40:43 moltmans Exp $
// WMovementGesture.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Created: <Fri Oct 29 15:21:25 1999> 
// Time-stamp: <2000-04-28 16:40:24 moltmans> 
package rec.annotate.widgets;

import java.util.*;
import rec.util.*;
import rec.sys.*;
import rec.core.widgets.*;

/**
 * This is a gesture annotation
 **/
public class WMovementGesture extends SelfDrawingWidget
{
  private WSquiggleArrow m_arrow;
  
  public WMovementGesture( WSquiggleArrow a )
  {
    super( a.getParts() );

    m_arrow = a;
  }

  public WSquiggleArrow getPath() 
  {
    return m_arrow;
  }

}


